Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057400 - [abrt] mate-panel: g_type_check_instance_cast(): mate-panel killed by SIGSEGV
Summary: [abrt] mate-panel: g_type_check_instance_cast(): mate-panel killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xmonad
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:917ce3d5c1da4b5fdbb27d95e61...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 01:51 UTC by James Wrigley
Modified: 2016-07-19 10:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:54:58 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-24 01:51 UTC, James Wrigley
no flags Details
File: cgroup (deleted)
2014-01-24 01:51 UTC, James Wrigley
no flags Details
File: core_backtrace (deleted)
2014-01-24 01:51 UTC, James Wrigley
no flags Details
File: dso_list (deleted)
2014-01-24 01:51 UTC, James Wrigley
no flags Details
File: environ (deleted)
2014-01-24 01:51 UTC, James Wrigley
no flags Details
File: exploitable (deleted)
2014-01-24 01:52 UTC, James Wrigley
no flags Details
File: limits (deleted)
2014-01-24 01:52 UTC, James Wrigley
no flags Details
File: maps (deleted)
2014-01-24 01:52 UTC, James Wrigley
no flags Details
File: open_fds (deleted)
2014-01-24 01:52 UTC, James Wrigley
no flags Details
File: proc_pid_status (deleted)
2014-01-24 01:52 UTC, James Wrigley
no flags Details
File: var_log_messages (deleted)
2014-01-24 01:52 UTC, James Wrigley
no flags Details

Description James Wrigley 2014-01-24 01:51:45 UTC
Description of problem:
All I did was boot into the VM, and log into the Mate desktop with xmonad. I don't think I made any changes at all (not even updating since this was from a netinstall) apart from running a few commands to fix an SELinux warning.

Version-Release number of selected component:
mate-panel-1.7.1-1.fc21

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        mate-panel
crash_function: g_type_check_instance_cast
executable:     /usr/bin/mate-panel
kernel:         3.14.0-0.rc0.git3.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_type_check_instance_cast at gtype.c:4008
 #1 container_child_background_set at mate-panel-applet-frame-dbus.c:235
 #2 g_simple_async_result_complete at gsimpleasyncresult.c:770
 #3 set_applet_property_cb at mate-panel-applet-container.c:560
 #4 g_simple_async_result_complete at gsimpleasyncresult.c:770
 #5 g_dbus_connection_call_done at gdbusconnection.c:5480
 #6 g_simple_async_result_complete at gsimpleasyncresult.c:770
 #7 complete_in_idle_cb at gsimpleasyncresult.c:782
 #12 gtk_main at gtkmain.c:1257

Comment 1 James Wrigley 2014-01-24 01:51:50 UTC
Created attachment 854668 [details]
File: backtrace

Comment 2 James Wrigley 2014-01-24 01:51:53 UTC
Created attachment 854669 [details]
File: cgroup

Comment 3 James Wrigley 2014-01-24 01:51:55 UTC
Created attachment 854670 [details]
File: core_backtrace

Comment 4 James Wrigley 2014-01-24 01:51:57 UTC
Created attachment 854671 [details]
File: dso_list

Comment 5 James Wrigley 2014-01-24 01:51:59 UTC
Created attachment 854672 [details]
File: environ

Comment 6 James Wrigley 2014-01-24 01:52:01 UTC
Created attachment 854673 [details]
File: exploitable

Comment 7 James Wrigley 2014-01-24 01:52:04 UTC
Created attachment 854674 [details]
File: limits

Comment 8 James Wrigley 2014-01-24 01:52:06 UTC
Created attachment 854675 [details]
File: maps

Comment 9 James Wrigley 2014-01-24 01:52:08 UTC
Created attachment 854676 [details]
File: open_fds

Comment 10 James Wrigley 2014-01-24 01:52:13 UTC
Created attachment 854677 [details]
File: proc_pid_status

Comment 11 James Wrigley 2014-01-24 01:52:15 UTC
Created attachment 854678 [details]
File: var_log_messages

Comment 12 Jens Petersen 2014-12-12 06:31:02 UTC
Still happening?

Comment 13 Jaroslav Reznik 2015-03-03 15:25:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 14 Fedora End Of Life 2016-07-19 10:54:58 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.